### Method

# Fwupd Client set_user_agent

#### Declaration [src]

    void
    fwupd_client_set_user_agent (
      FwupdClient* self,
      const gchar* user_agent
    )

#### Description [src]

Manually sets the user agent that is used for downloading. The user agent should contain the runtime version of fwupd somewhere in the provided string.

Available since: | 1.4.5

#### Parameters

`user_agent` | `const gchar*`
| The user agent ID, e.g. `gnome-software/3.34.1`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.